Name:       libunarr
Version:    1.0.1
Release:    1%{?dist}

Summary:    A decompression library for rar, tar and zip archives
%if 0%{?suse_version}
License:    LGPL-3.0+
%else
License:    LGPLv3+
%endif
URL:        https://github.com/selmf/unarr
Source0:    https://github.com/selmf/unarr/releases/download/v%{version}/unarr-%{version}.tar.xz

%if 0%{?suse_version}
Group:      Development/Libraries/C and C++
%endif

BuildRequires:  cmake
%if 0%{?suse_version}
BuildRequires:  zlib-devel
BuildRequires:  libbz2-devel
BuildRequires:  xz-devel
%else
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  xz-devel
%endif

%description
A decompression library for rar, tar and zip archives

%if 0%{?suse_version}
%package -n %{name}1
Group:    Development/Libraries/C and C++
Summary:  A decompression library

%description -n %{name}1
A decompression library for rar, tar and zip archives

%package  devel
Group:    Development/Libraries/C and C++
Summary:  Development files for %{name}1
Requires: %{name}1%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}

%else
%package    devel
Summary:    Development files for %{name}
Requires:   %{name}%{?_isa} = %{version}-%{release}
%description  devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}
%endif

%prep
%setup -qn unarr-%{version}

%build
%if 0%{?suse_version}
%cmake ..
%else
%cmake .
%endif
make %{?_smp_mflags}

%install
%if 0%{?suse_version}
cd build
%endif
%make_install

%if 0%{?suse_version}
%post -n%{name}1 -p /sbin/ldconfig
%postun -n%{name}1 -p /sbin/ldconfig

%files -n %{name}1
%{_libdir}/%{name}.so.*

%else
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/%{name}.so.*
%endif

%files devel
%{_includedir}/unarr.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libunarr.pc
